Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1020477 - While upgrading Satellite server, schema upgrade fails at "drop index rhn_errataclone_teid_feid_idx" with error "ORA-02429: cannot drop index used for enforcement of unique/primary key"
Summary: While upgrading Satellite server, schema upgrade fails at "drop index rhn_err...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Upgrades
Version: 560
Hardware: Unspecified
OS: Unspecified
medium
urgent
Target Milestone: ---
Assignee: Tomáš Kašpárek
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: sat560-triage
TreeView+ depends on / blocked
 
Reported: 2013-10-17 18:14 UTC by Xixi
Modified: 2018-12-04 16:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 08:28:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 228683 None None None Never
Red Hat Bugzilla 875672 None None None Never
Red Hat Bugzilla 877299 None None None Never
Red Hat Bugzilla 987183 None None None Never
Red Hat Bugzilla 1021657 None None None Never
Red Hat Bugzilla 1213354 None None None Never

Internal Links: 1021657 1213354

Description Xixi 2013-10-17 18:14:27 UTC
Description of problem:

While upgrading satellite server schema from Satellite with external Oracle database to version 5.6, schema upgrade failed with:

'SATELLITE-SCHEMA-5.4-TO-SATELLITE-SCHEMA-5.5/208-RHNERRATACLONED-INDEXES.SQL.ORACL
-----------------------------------------------------------------------------------
satellite-schema-5.4-to-satellite-schema-5.5/208-rhnErrataCloned-indexes.sql.oracle

drop index rhn_errataclone_teid_feid_idx
           *
ERROR at line 1:
ORA-02429: cannot drop index used for enforcement of unique/primary key

Version-Release number of selected component (if applicable):
Satellite 5.6

How reproducible:
(uncertain, like with the other similar bugs (987183, 877299, or 875672) the error occurs with only some external Oracle instances, and not yet replicated in-house)

Steps to Reproduce:
1. Upgrade Satellite 5.3 with external Oracle database to Satellite 5.6
2.
3.

Actual results:
Fails with error above.

Expected results:
Succeeds.

Additional info:
This is similar to the other known issues for similar indexes (rhn_eclonedtmp_teid_feid_idx, rhn_ug_id_name_org, rhn_sg_id_oid_name_idx), please refer to Knowledgebase solution for details and workaround https://access.redhat.com/site/solutions/228683

Please note that if customer is running into the same ORA-02429 error but with another object not listed on the above solution, file a new Bugzilla from the support case so it can be looked into, confirmed whether the same workaround applies, and addressed properly.

Comment 4 Tomas Lestach 2018-04-10 08:28:21 UTC
We have re-reviewed this bug, as part of an ongoing effort to improve Satellite/Proxy feature and bug updates, review and backlog.

This bug has currently no open customer cases. While this bug may still valid, we do not see it being implemented prior to the EOL of the Satellite 5.x product. As such, this is being CLOSED DEFERRED.


Note You need to log in before you can comment on or make changes to this bug.